{
   "name": "@hibas123/jrpcgen",
   "version": "1.1.1",
   "main": "lib/index.js",
   "license": "MIT",
   "packageManager": "yarn@3.1.1",
   "scripts": {
      "start": "ts-node src/index.ts",
      "test-start": "npm run start -- compile examples/example.jrpc --definition=examples/definition.json -o=ts-node:examples/Typescript/out -o=c#:examples/CSharp/Generated -o=rust:examples/Rust/Generated",
      "test-csharp": "cd examples/CSharp/Example/ && dotnet run",
      "test-rust": "cd examples/Rust/Generated/ && cargo build",
      "test-typescript": "ts-node examples/test.ts",
      "test": "npm run test-start && npm run test-csharp && npm run test-typescript",
      "build": "esbuild src/index.ts --bundle --platform=node --target=node14 --outfile=lib/jrpc.js",
      "prepublishOnly": "npm run build"
   },
   "bin": {
      "jrpc": "./lib/jrpc.js"
   },
   "files": [
      "lib/jrpc.js",
      "templates/**",
      "examples/*.jrpc",
      "src/**",
      "tsconfig.json"
   ],
   "devDependencies": {
      "@types/debug": "^4.1.7",
      "@types/fs-extra": "^9.0.13",
      "@types/node": "^17.0.5",
      "@types/prettier": "^2.4.2",
      "@types/yargs": "^17.0.8",
      "chalk": "4",
      "debug": "^4.3.3",
      "esbuild": "^0.14.10",
      "prettier": "^2.5.1",
      "ts-node": "^10.4.0",
      "typescript": "^4.5.4",
      "yargs": "^17.3.1"
   },
   "dependencies": {
      "fs-extra": "^10.0.0"
   }
}
